package com.hzya.frame.Jackyun.goodsdocin.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.Jackyun.goodsdocin.dao.IGoodsdocInDao;
import com.hzya.frame.Jackyun.goodsdocin.dao.IGoodsdocInLogisticDao;
import com.hzya.frame.Jackyun.goodsdocin.entity.GoodsdocInEntity;
import com.hzya.frame.Jackyun.goodsdocin.entity.GoodsdocInLogisticEntity;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 吉客云入库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */
@Repository(value = "GoodsdocInLogisticDaoImpl")
public class GoodsdocInLogisticDaoImpl extends MybatisGenericDao<GoodsdocInLogisticEntity,String> implements IGoodsdocInLogisticDao {
    @DS("jeckYun")
    @Override
    public GoodsdocInLogisticEntity saveLogis(GoodsdocInLogisticEntity logis) {
        return  super.save("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInLogisticDaoImpl.entity_insert",logis);
    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocInLogisticEntity> getGoodsdocInLogisticList(GoodsdocInLogisticEntity logisEntity) {
        return (List<GoodsdocInLogisticEntity>) selectList("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInLogisticDaoImpl.entity_list_base", logisEntity);
    }
    @DS("jeckYun")
    @Override
    public GoodsdocInLogisticEntity saveLogisBak(GoodsdocInLogisticEntity logis) {
        return super.save("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInLogisticDaoImpl.entity_insert_bak",logis);
    }
    @DS("jeckYun")
    @Override
    public int deleteByMainId(GoodsdocInLogisticEntity logisEntity) {
        return super.delete("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInLogisticDaoImpl.entity_delete",logisEntity.getMainId());
    }
}
