package com.hzya.frame.Jackyun.goodsdocin.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 *
 * @content 吉客云入库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */


public class GoodsdocInEntity extends BaseEntity {

    /** 入库单ID */
    private String recId;
    /** 入库单号 */
    private String goodsdocNo;
    /** 上游单据号(关联单号) */
    private String billNo;
    /** 入库时间 */
    private String inOutDate;
    /**
     创建时间 */
    private String gmtCreate;
    /** 入库类型(100-期初库存101-采购入库102-调拨入库103-盘盈入库104-其他入库105-销售退货106-完工入库107-组 */
    private String inouttype;
    /** 入库类型(100-期初库存101-采购入库102-调拨入库103-盘盈入库104-其他入库105-销售退货106-完工入库107-组 */
    private String inouttypeName;
    /** 标记id */
    private String flagData;
    /** 标记名称 */
    private String flagDataName;
    /** 往来单位编号 */
    private String vendCustomerCode;
    /** 往来单位名称 */
    private String vendCustomerName;
    /** 币种编号 */
    private String currencyCode;
    /** 币种汇率 */
    private String currencyRate;
    /** 业务员名字 */
    private String userName;
    /** 仓库编号 */
    private String warehouseCode;
    /** 仓库名字 */
    private String warehouseName;
    /** 备注 */
    private String comment;
    /** 收货备注 */
    private String memo;
    /** 物流公司 */
    private String logisticName;
    /** 物流单号 */
    private String logisticNo;
    /** 公司id */
    private String companyId;
    /** 公司名称 */
    private String companyName;
    /** 物流类型1-普通快递2-上门自提3-门店配送5-无需配送6-线下配送 */
    private String logisticType;
    /** 物流公司编码 */
    private String logisticCode;
    /** 入库原因 */
    private String inOutReason;
    /** 来源单号 */
    private String sourceBillNo;
    /** 渠道ID */
    private String channelId;
    /** 渠道编号 */
    private String channelCode;
    /** 渠道名称 */
    private String channelName;
    /**
     红冲状态：1蓝单（未红冲）；2被冲蓝单；9红冲单 */
    private String redStatus;
    /** 自定义字段1 */
    private String field1;
    /** 自定义字段2 */
    private String field2;
    /** 自定义字段3 */
    private String field3;
    /** 自定义字段4 */
    private String field4;
    /** 自定义字段5 */
    private String field5;
    /** <21是未成本核算，>=21<30已成本核算，>30不成本核算，其中25表示财务过账。 */
    private String financeBillStatus;
    /** 申请人公司ID */
    private String applyCompanyId;
    /** 申请人公司名称 */
    private String applyCompanyName;
    /** 申请人公司编号 */
    private String applyCompanyCode;
    /** 申请部门id */
    private String applyDepartId;
    /** 申请人部门名称 */
    private String applyDepartName;
    /**
     申请人部门编号 */
    private String departCode;
    /** 申请人id */
    private String applyUserId;
    /** 申请人名称 */
    private String applyUserName;
    /** 外部单号 */
    private String outBillNo;
    /** 修改日期 */
    private String gmtModified;
    /** 公司编号 */
    private String companyCode;
    /** 往来单位id */
    private String vendCustomerId;
    /** 收货单号 */
    private String deliveryNo;
    private String state;
    private String u8BillCode;
    private String accId;

    public String getU8BillCode() {
        return u8BillCode;
    }

    public void setU8BillCode(String u8BillCode) {
        this.u8BillCode = u8BillCode;
    }

    public String getAccId() {
        return accId;
    }

    public void setAccId(String accId) {
        this.accId = accId;
    }

    private List<GoodsdocInEntity> groupList;
    private List<GoodsdocInDetailEntity> goodsdocInDetailEntityList;

    public List<GoodsdocInDetailEntity> getGoodsdocInDetailEntityList() {
        return goodsdocInDetailEntityList;
    }

    public void setGoodsdocInDetailEntityList(List<GoodsdocInDetailEntity> goodsdocInDetailEntityList) {
        this.goodsdocInDetailEntityList = goodsdocInDetailEntityList;
    }

    public List<GoodsdocInEntity> getGroupList() {
        return groupList;
    }

    public void setGroupList(List<GoodsdocInEntity> groupList) {
        this.groupList = groupList;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }
    private List<GoodsdocInLogisticEntity>logisticList;
    private List<GoodsdocInDetailEntity>goodsDocDetailList;

    public List<GoodsdocInLogisticEntity> getLogisticList() {
        return logisticList;
    }

    public void setLogisticList(List<GoodsdocInLogisticEntity> logisticList) {
        this.logisticList = logisticList;
    }

    public List<GoodsdocInDetailEntity> getGoodsDocDetailList() {
        return goodsDocDetailList;
    }

    public void setGoodsDocDetailList(List<GoodsdocInDetailEntity> goodsDocDetailList) {
        this.goodsDocDetailList = goodsDocDetailList;
    }

    /** 入库单ID */
    public void setRecId(String recId) {
        this.recId = recId;
    }
    /** 入库单ID */
    public String getRecId() {
        return recId;
    }


    /** 入库单号 */
    public void setGoodsdocNo(String goodsdocNo) {
        this.goodsdocNo = goodsdocNo;
    }
    /** 入库单号 */
    public String getGoodsdocNo() {
        return goodsdocNo;
    }


    /** 上游单据号(关联单号) */
    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }
    /** 上游单据号(关联单号) */
    public String getBillNo() {
        return billNo;
    }


    /** 入库时间 */
    public void setInOutDate(String inOutDate) {
        this.inOutDate = inOutDate;
    }
    /** 入库时间 */
    public String getInOutDate() {
        return inOutDate;
    }


    /**
     创建时间 */
    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    /**
     创建时间 */
    public String getGmtCreate() {
        return gmtCreate;
    }


    /** 入库类型(100-期初库存101-采购入库102-调拨入库103-盘盈入库104-其他入库105-销售退货106-完工入库107-组 */
    public void setInouttype(String inouttype) {
        this.inouttype = inouttype;
    }
    /** 入库类型(100-期初库存101-采购入库102-调拨入库103-盘盈入库104-其他入库105-销售退货106-完工入库107-组 */
    public String getInouttype() {
        return inouttype;
    }


    /** 入库类型(100-期初库存101-采购入库102-调拨入库103-盘盈入库104-其他入库105-销售退货106-完工入库107-组 */
    public void setInouttypeName(String inouttypeName) {
        this.inouttypeName = inouttypeName;
    }
    /** 入库类型(100-期初库存101-采购入库102-调拨入库103-盘盈入库104-其他入库105-销售退货106-完工入库107-组 */
    public String getInouttypeName() {
        return inouttypeName;
    }


    /** 标记id */
    public void setFlagData(String flagData) {
        this.flagData = flagData;
    }
    /** 标记id */
    public String getFlagData() {
        return flagData;
    }


    /** 标记名称 */
    public void setFlagDataName(String flagDataName) {
        this.flagDataName = flagDataName;
    }
    /** 标记名称 */
    public String getFlagDataName() {
        return flagDataName;
    }


    /** 往来单位编号 */
    public void setVendCustomerCode(String vendCustomerCode) {
        this.vendCustomerCode = vendCustomerCode;
    }
    /** 往来单位编号 */
    public String getVendCustomerCode() {
        return vendCustomerCode;
    }


    /** 往来单位名称 */
    public void setVendCustomerName(String vendCustomerName) {
        this.vendCustomerName = vendCustomerName;
    }
    /** 往来单位名称 */
    public String getVendCustomerName() {
        return vendCustomerName;
    }


    /** 币种编号 */
    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }
    /** 币种编号 */
    public String getCurrencyCode() {
        return currencyCode;
    }


    /** 币种汇率 */
    public void setCurrencyRate(String currencyRate) {
        this.currencyRate = currencyRate;
    }
    /** 币种汇率 */
    public String getCurrencyRate() {
        return currencyRate;
    }


    /** 业务员名字 */
    public void setUserName(String userName) {
        this.userName = userName;
    }
    /** 业务员名字 */
    public String getUserName() {
        return userName;
    }


    /** 仓库编号 */
    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }
    /** 仓库编号 */
    public String getWarehouseCode() {
        return warehouseCode;
    }


    /** 仓库名字 */
    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }
    /** 仓库名字 */
    public String getWarehouseName() {
        return warehouseName;
    }


    /** 备注 */
    public void setComment(String comment) {
        this.comment = comment;
    }
    /** 备注 */
    public String getComment() {
        return comment;
    }


    /** 收货备注 */
    public void setMemo(String memo) {
        this.memo = memo;
    }
    /** 收货备注 */
    public String getMemo() {
        return memo;
    }


    /** 物流公司 */
    public void setLogisticName(String logisticName) {
        this.logisticName = logisticName;
    }
    /** 物流公司 */
    public String getLogisticName() {
        return logisticName;
    }


    /** 物流单号 */
    public void setLogisticNo(String logisticNo) {
        this.logisticNo = logisticNo;
    }
    /** 物流单号 */
    public String getLogisticNo() {
        return logisticNo;
    }


    /** 公司id */
    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }
    /** 公司id */
    public String getCompanyId() {
        return companyId;
    }


    /** 公司名称 */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }
    /** 公司名称 */
    public String getCompanyName() {
        return companyName;
    }


    /** 物流类型1-普通快递2-上门自提3-门店配送5-无需配送6-线下配送 */
    public void setLogisticType(String logisticType) {
        this.logisticType = logisticType;
    }
    /** 物流类型1-普通快递2-上门自提3-门店配送5-无需配送6-线下配送 */
    public String getLogisticType() {
        return logisticType;
    }


    /** 物流公司编码 */
    public void setLogisticCode(String logisticCode) {
        this.logisticCode = logisticCode;
    }
    /** 物流公司编码 */
    public String getLogisticCode() {
        return logisticCode;
    }


    /** 入库原因 */
    public void setInOutReason(String inOutReason) {
        this.inOutReason = inOutReason;
    }
    /** 入库原因 */
    public String getInOutReason() {
        return inOutReason;
    }


    /** 来源单号 */
    public void setSourceBillNo(String sourceBillNo) {
        this.sourceBillNo = sourceBillNo;
    }
    /** 来源单号 */
    public String getSourceBillNo() {
        return sourceBillNo;
    }


    /** 渠道ID */
    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }
    /** 渠道ID */
    public String getChannelId() {
        return channelId;
    }


    /** 渠道编号 */
    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }
    /** 渠道编号 */
    public String getChannelCode() {
        return channelCode;
    }


    /** 渠道名称 */
    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }
    /** 渠道名称 */
    public String getChannelName() {
        return channelName;
    }


    /**
     红冲状态：1蓝单（未红冲）；2被冲蓝单；9红冲单 */
    public void setRedStatus(String redStatus) {
        this.redStatus = redStatus;
    }
    /**
     红冲状态：1蓝单（未红冲）；2被冲蓝单；9红冲单 */
    public String getRedStatus() {
        return redStatus;
    }


    /** 自定义字段1 */
    public void setField1(String field1) {
        this.field1 = field1;
    }
    /** 自定义字段1 */
    public String getField1() {
        return field1;
    }


    /** 自定义字段2 */
    public void setField2(String field2) {
        this.field2 = field2;
    }
    /** 自定义字段2 */
    public String getField2() {
        return field2;
    }


    /** 自定义字段3 */
    public void setField3(String field3) {
        this.field3 = field3;
    }
    /** 自定义字段3 */
    public String getField3() {
        return field3;
    }


    /** 自定义字段4 */
    public void setField4(String field4) {
        this.field4 = field4;
    }
    /** 自定义字段4 */
    public String getField4() {
        return field4;
    }


    /** 自定义字段5 */
    public void setField5(String field5) {
        this.field5 = field5;
    }
    /** 自定义字段5 */
    public String getField5() {
        return field5;
    }


    /** <21是未成本核算，>=21<30已成本核算，>30不成本核算，其中25表示财务过账。 */
    public void setFinanceBillStatus(String financeBillStatus) {
        this.financeBillStatus = financeBillStatus;
    }
    /** <21是未成本核算，>=21<30已成本核算，>30不成本核算，其中25表示财务过账。 */
    public String getFinanceBillStatus() {
        return financeBillStatus;
    }


    /** 申请人公司ID */
    public void setApplyCompanyId(String applyCompanyId) {
        this.applyCompanyId = applyCompanyId;
    }
    /** 申请人公司ID */
    public String getApplyCompanyId() {
        return applyCompanyId;
    }


    /** 申请人公司名称 */
    public void setApplyCompanyName(String applyCompanyName) {
        this.applyCompanyName = applyCompanyName;
    }
    /** 申请人公司名称 */
    public String getApplyCompanyName() {
        return applyCompanyName;
    }


    /** 申请人公司编号 */
    public void setApplyCompanyCode(String applyCompanyCode) {
        this.applyCompanyCode = applyCompanyCode;
    }
    /** 申请人公司编号 */
    public String getApplyCompanyCode() {
        return applyCompanyCode;
    }


    /** 申请部门id */
    public void setApplyDepartId(String applyDepartId) {
        this.applyDepartId = applyDepartId;
    }
    /** 申请部门id */
    public String getApplyDepartId() {
        return applyDepartId;
    }


    /** 申请人部门名称 */
    public void setApplyDepartName(String applyDepartName) {
        this.applyDepartName = applyDepartName;
    }
    /** 申请人部门名称 */
    public String getApplyDepartName() {
        return applyDepartName;
    }


    /**
     申请人部门编号 */
    public void setDepartCode(String departCode) {
        this.departCode = departCode;
    }
    /**
     申请人部门编号 */
    public String getDepartCode() {
        return departCode;
    }


    /** 申请人id */
    public void setApplyUserId(String applyUserId) {
        this.applyUserId = applyUserId;
    }
    /** 申请人id */
    public String getApplyUserId() {
        return applyUserId;
    }


    /** 申请人名称 */
    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }
    /** 申请人名称 */
    public String getApplyUserName() {
        return applyUserName;
    }


    /** 外部单号 */
    public void setOutBillNo(String outBillNo) {
        this.outBillNo = outBillNo;
    }
    /** 外部单号 */
    public String getOutBillNo() {
        return outBillNo;
    }


    /** 修改日期 */
    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }
    /** 修改日期 */
    public String getGmtModified() {
        return gmtModified;
    }


    /** 公司编号 */
    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }
    /** 公司编号 */
    public String getCompanyCode() {
        return companyCode;
    }


    /** 往来单位id */
    public void setVendCustomerId(String vendCustomerId) {
        this.vendCustomerId = vendCustomerId;
    }
    /** 往来单位id */
    public String getVendCustomerId() {
        return vendCustomerId;
    }


    /** 收货单号 */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }
    /** 收货单号 */
    public String getDeliveryNo() {
        return deliveryNo;
    }
}
