package com.hzya.frame.Jackyun.goodsdocout.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 *
 * @content 吉客云出库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */
public class GoodsdocOutDetailEntity extends BaseEntity {
    private String recId;//出库单明细ID
    private String goodsId;//货品ID
    private String goodsNo;//货品编号
    private String goodsName;//货品名称
    private String skuId;//规格ID
    private String skuName;//规格名称
    private String skuBarcode;//条码
    private String unitName;//单位
    private String cuPrice;//成本单价
    private String cuValue;//成本金额
    private String caseNumber;//箱号
    private String rowRemark;//明细备注
    private String assistUnit;//辅助单位显示
    private String estCost;//本位币含税金额
    private String estTax;//税额
    private String estPrice;//含税单价
    private String estPriceNoTax;//含税单价
    private String estCostNoTax;//无税金额
    private String taxRate;//税率
    private String batchNo;//批次编号
    private String serialNo;//序列号
    private String productionDate;//生产日期
    private String expirationDate;//到期日期
    private String shelfLife;//质保期
    private String shelfLiftUnit;//质保期单位
    private String sourceDetailId;//来源单据明细Id
    private String transNoTaxPrice;//无税单价（原币种）
    private String transNoTaxAmount;//无税金额（原币种）
    private String transHasTaxPrice;//含税单价（原币种）
    private String transHasTaxAmount;//含税金额（原币种）
    private String transTaxAmount;//税额（原币种）
    private String detailField1;//自定义字段1
    private String detailField2;//自定义字段2
    private String detailField3;//自定义字段3
    private String detailField4;//自定义字段4
    private String detailField5;//自定义字段5
    private String isCertified;//是否正品0-否1-是
    private String registrationNumber;//批准文号
    private String approvalDate;//批文有效期
    private String productionDepart;//生产单位
    private String batchNumber;//生产批号
    private String quantity;//数量
    private String cateId;//分类id
    private String cateName;//分类名称
    private String serialSourceId;//出库唯一码关联字段，此值不为空时，需要查询接口获取唯一码信息:erp.storage.goodsdocserial
    private String mainId;

    public String getMainId() {
        return mainId;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    public String getSerialSourceId() {
        return serialSourceId;
    }

    public void setSerialSourceId(String serialSourceId) {
        this.serialSourceId = serialSourceId;
    }

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsNo() {
        return goodsNo;
    }

    public void setGoodsNo(String goodsNo) {
        this.goodsNo = goodsNo;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public String getSkuBarcode() {
        return skuBarcode;
    }

    public void setSkuBarcode(String skuBarcode) {
        this.skuBarcode = skuBarcode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getCuPrice() {
        return cuPrice;
    }

    public void setCuPrice(String cuPrice) {
        this.cuPrice = cuPrice;
    }

    public String getCuValue() {
        return cuValue;
    }

    public void setCuValue(String cuValue) {
        this.cuValue = cuValue;
    }

    public String getCaseNumber() {
        return caseNumber;
    }

    public void setCaseNumber(String caseNumber) {
        this.caseNumber = caseNumber;
    }

    public String getRowRemark() {
        return rowRemark;
    }

    public void setRowRemark(String rowRemark) {
        this.rowRemark = rowRemark;
    }

    public String getAssistUnit() {
        return assistUnit;
    }

    public void setAssistUnit(String assistUnit) {
        this.assistUnit = assistUnit;
    }

    public String getEstCost() {
        return estCost;
    }

    public void setEstCost(String estCost) {
        this.estCost = estCost;
    }

    public String getEstTax() {
        return estTax;
    }

    public void setEstTax(String estTax) {
        this.estTax = estTax;
    }

    public String getEstPrice() {
        return estPrice;
    }

    public void setEstPrice(String estPrice) {
        this.estPrice = estPrice;
    }

    public String getEstPriceNoTax() {
        return estPriceNoTax;
    }

    public void setEstPriceNoTax(String estPriceNoTax) {
        this.estPriceNoTax = estPriceNoTax;
    }

    public String getEstCostNoTax() {
        return estCostNoTax;
    }

    public void setEstCostNoTax(String estCostNoTax) {
        this.estCostNoTax = estCostNoTax;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getProductionDate() {
        return productionDate;
    }

    public void setProductionDate(String productionDate) {
        this.productionDate = productionDate;
    }

    public String getExpirationDate() {
        return expirationDate;
    }

    public void setExpirationDate(String expirationDate) {
        this.expirationDate = expirationDate;
    }

    public String getShelfLife() {
        return shelfLife;
    }

    public void setShelfLife(String shelfLife) {
        this.shelfLife = shelfLife;
    }

    public String getShelfLiftUnit() {
        return shelfLiftUnit;
    }

    public void setShelfLiftUnit(String shelfLiftUnit) {
        this.shelfLiftUnit = shelfLiftUnit;
    }

    public String getSourceDetailId() {
        return sourceDetailId;
    }

    public void setSourceDetailId(String sourceDetailId) {
        this.sourceDetailId = sourceDetailId;
    }

    public String getTransNoTaxPrice() {
        return transNoTaxPrice;
    }

    public void setTransNoTaxPrice(String transNoTaxPrice) {
        this.transNoTaxPrice = transNoTaxPrice;
    }

    public String getTransNoTaxAmount() {
        return transNoTaxAmount;
    }

    public void setTransNoTaxAmount(String transNoTaxAmount) {
        this.transNoTaxAmount = transNoTaxAmount;
    }

    public String getTransHasTaxPrice() {
        return transHasTaxPrice;
    }

    public void setTransHasTaxPrice(String transHasTaxPrice) {
        this.transHasTaxPrice = transHasTaxPrice;
    }

    public String getTransHasTaxAmount() {
        return transHasTaxAmount;
    }

    public void setTransHasTaxAmount(String transHasTaxAmount) {
        this.transHasTaxAmount = transHasTaxAmount;
    }

    public String getTransTaxAmount() {
        return transTaxAmount;
    }

    public void setTransTaxAmount(String transTaxAmount) {
        this.transTaxAmount = transTaxAmount;
    }

    public String getDetailField1() {
        return detailField1;
    }

    public void setDetailField1(String detailField1) {
        this.detailField1 = detailField1;
    }

    public String getDetailField2() {
        return detailField2;
    }

    public void setDetailField2(String detailField2) {
        this.detailField2 = detailField2;
    }

    public String getDetailField3() {
        return detailField3;
    }

    public void setDetailField3(String detailField3) {
        this.detailField3 = detailField3;
    }

    public String getDetailField4() {
        return detailField4;
    }

    public void setDetailField4(String detailField4) {
        this.detailField4 = detailField4;
    }

    public String getDetailField5() {
        return detailField5;
    }

    public void setDetailField5(String detailField5) {
        this.detailField5 = detailField5;
    }

    public String getIsCertified() {
        return isCertified;
    }

    public void setIsCertified(String isCertified) {
        this.isCertified = isCertified;
    }

    public String getRegistrationNumber() {
        return registrationNumber;
    }

    public void setRegistrationNumber(String registrationNumber) {
        this.registrationNumber = registrationNumber;
    }

    public String getApprovalDate() {
        return approvalDate;
    }

    public void setApprovalDate(String approvalDate) {
        this.approvalDate = approvalDate;
    }

    public String getProductionDepart() {
        return productionDepart;
    }

    public void setProductionDepart(String productionDepart) {
        this.productionDepart = productionDepart;
    }

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getCateId() {
        return cateId;
    }

    public void setCateId(String cateId) {
        this.cateId = cateId;
    }

    public String getCateName() {
        return cateName;
    }

    public void setCateName(String cateName) {
        this.cateName = cateName;
    }
}
