package com.hzya.frame.Jackyun.goodsdocout.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 *
 * @content 吉客云出库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */


public class GoodsdocOutEntity extends BaseEntity {
    private String recId;//出库单ID
    private String goodsdocNo;//出库单号
    private String billNo;//上游单据号(关联单号)
    private String inOutDate;//出库时间
    private String gmtCreate;//创建时间
    private String inouttype;//出入库类型(201-销售出库202-调拨出库203 - 盘亏出库204-其他出库205-采购退货206-生产领料207-组装拆卸出库208-翻新出库209-报废出库210-残次品出库211-倒冲出库212-包材出库215-维修还厂216-资产出库217-借用出库218-归还出库219-生产委外领料222-调拨退货出库223-生产余料出库299-可用库存修正231-成本调整出库)
    private String inouttypeName;//出入库类型(201-销售出库202-调拨出库203 - 盘亏出库204-其他出库205-采购退货206-生产领料207-组装拆卸出库208-翻新出库209-报废出库210-残次品出库211-倒冲出库212-包材出库215-维修还厂216-资产出库217-借用出库218-归还出库219-生产委外领料222-调拨退货出库223-生产余料出库299-可用库存修正231-成本调整出库)
    private String flagData;//标记id
    private String flagDataName;//标记名称
    private String vendCustomerName;//往来单位名称
    private String currencyCode;//币种编号
    private String currencyRate;//币种汇率
    private String userName;//业务员名字
    private String warehouseCode;//仓库编号
    private String warehouseName;//仓库名字
    private String comment;//备注
    private String memo;//收货备注
    private String logisticName;//物流公司
    private String logisticNo;//物流单号
    private String companyId;//公司id
    private String companyName;//公司名称
    private String logisticType;//物流类型1-普通快递2-上门自提3-门店配送5-无需配送6-线下配送
    private String logisticCode;//物流公司编码
    private String inOutReason;//出库原因
    private String sourceBillNo;//来源单号
    private String channelId;//渠道ID
    private String channelCode;//渠道编号
    private String channelName;//渠道名称
    private String redStatus;//红冲状态：1蓝单（未红冲）；2被冲蓝单；9红冲单
    private String field1;//自定义字段1
    private String field2;//自定义字段2
    private String field3;//自定义字段3
    private String field4;//自定义字段4
    private String field5;//自定义字段5
    private String financeBillStatus;//<21是未成本核算，>=21<30已成本核算，>30不成本核算，其中25表示财务过账。
    private String vendCustomerId;//往来单位的id
    private String applyDepartId;//申请人部门id
    private String applyDepartName;//申请人部门名称
    private String outBillNo;//外部单号
    private String serialSourceId;//出库唯一码关联字段，此值不为空时，需要查询接口获取唯一码信息:erp.storage.goodsdocserial
    private String gmtModified;//最近修改时间
    private String departCode;//申请人部门编号
    private String applyCompanyName;//申请人公司名称
    private String applyCompanyCode;//申请人公司编号
    private String applyCompanyId;//申请人公司id
    private String applyUserId;//申请人id
    private String applyUserName;//申请人名称
    private String companyCode;//公司编号
    private String state;
    private String u8BillCode;
    private String accId;

    public String getU8BillCode() {
        return u8BillCode;
    }

    public void setU8BillCode(String u8BillCode) {
        this.u8BillCode = u8BillCode;
    }

    public String getAccId() {
        return accId;
    }

    public void setAccId(String accId) {
        this.accId = accId;
    }
    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    private List<GoodsdocOutLogisticEntity>logisticList;
    private List<GoodsdocOutDetailEntity>goodsDocDetailList;

    public List<GoodsdocOutLogisticEntity> getLogisticList() {
        return logisticList;
    }

    public void setLogisticList(List<GoodsdocOutLogisticEntity> logisticList) {
        this.logisticList = logisticList;
    }

    public List<GoodsdocOutDetailEntity> getGoodsDocDetailList() {
        return goodsDocDetailList;
    }

    public void setGoodsDocDetailList(List<GoodsdocOutDetailEntity> goodsDocDetailList) {
        this.goodsDocDetailList = goodsDocDetailList;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getDepartCode() {
        return departCode;
    }

    public void setDepartCode(String departCode) {
        this.departCode = departCode;
    }

    public String getApplyCompanyName() {
        return applyCompanyName;
    }

    public void setApplyCompanyName(String applyCompanyName) {
        this.applyCompanyName = applyCompanyName;
    }

    public String getApplyCompanyCode() {
        return applyCompanyCode;
    }

    public void setApplyCompanyCode(String applyCompanyCode) {
        this.applyCompanyCode = applyCompanyCode;
    }

    public String getApplyCompanyId() {
        return applyCompanyId;
    }

    public void setApplyCompanyId(String applyCompanyId) {
        this.applyCompanyId = applyCompanyId;
    }

    public String getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(String applyUserId) {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getSerialSourceId() {
        return serialSourceId;
    }

    public void setSerialSourceId(String serialSourceId) {
        this.serialSourceId = serialSourceId;
    }

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }

    public String getGoodsdocNo() {
        return goodsdocNo;
    }

    public void setGoodsdocNo(String goodsdocNo) {
        this.goodsdocNo = goodsdocNo;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getInOutDate() {
        return inOutDate;
    }

    public void setInOutDate(String inOutDate) {
        this.inOutDate = inOutDate;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getInouttype() {
        return inouttype;
    }

    public void setInouttype(String inouttype) {
        this.inouttype = inouttype;
    }

    public String getInouttypeName() {
        return inouttypeName;
    }

    public void setInouttypeName(String inouttypeName) {
        this.inouttypeName = inouttypeName;
    }

    public String getFlagData() {
        return flagData;
    }

    public void setFlagData(String flagData) {
        this.flagData = flagData;
    }

    public String getFlagDataName() {
        return flagDataName;
    }

    public void setFlagDataName(String flagDataName) {
        this.flagDataName = flagDataName;
    }

    public String getVendCustomerName() {
        return vendCustomerName;
    }

    public void setVendCustomerName(String vendCustomerName) {
        this.vendCustomerName = vendCustomerName;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public String getCurrencyRate() {
        return currencyRate;
    }

    public void setCurrencyRate(String currencyRate) {
        this.currencyRate = currencyRate;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getLogisticName() {
        return logisticName;
    }

    public void setLogisticName(String logisticName) {
        this.logisticName = logisticName;
    }

    public String getLogisticNo() {
        return logisticNo;
    }

    public void setLogisticNo(String logisticNo) {
        this.logisticNo = logisticNo;
    }

    @Override
    public String getCompanyId() {
        return companyId;
    }

    @Override
    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogisticType() {
        return logisticType;
    }

    public void setLogisticType(String logisticType) {
        this.logisticType = logisticType;
    }

    public String getLogisticCode() {
        return logisticCode;
    }

    public void setLogisticCode(String logisticCode) {
        this.logisticCode = logisticCode;
    }

    public String getInOutReason() {
        return inOutReason;
    }

    public void setInOutReason(String inOutReason) {
        this.inOutReason = inOutReason;
    }

    public String getSourceBillNo() {
        return sourceBillNo;
    }

    public void setSourceBillNo(String sourceBillNo) {
        this.sourceBillNo = sourceBillNo;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getRedStatus() {
        return redStatus;
    }

    public void setRedStatus(String redStatus) {
        this.redStatus = redStatus;
    }

    public String getField1() {
        return field1;
    }

    public void setField1(String field1) {
        this.field1 = field1;
    }

    public String getField2() {
        return field2;
    }

    public void setField2(String field2) {
        this.field2 = field2;
    }

    public String getField3() {
        return field3;
    }

    public void setField3(String field3) {
        this.field3 = field3;
    }

    public String getField4() {
        return field4;
    }

    public void setField4(String field4) {
        this.field4 = field4;
    }

    public String getField5() {
        return field5;
    }

    public void setField5(String field5) {
        this.field5 = field5;
    }

    public String getFinanceBillStatus() {
        return financeBillStatus;
    }

    public void setFinanceBillStatus(String financeBillStatus) {
        this.financeBillStatus = financeBillStatus;
    }

    public String getVendCustomerId() {
        return vendCustomerId;
    }

    public void setVendCustomerId(String vendCustomerId) {
        this.vendCustomerId = vendCustomerId;
    }

    public String getApplyDepartId() {
        return applyDepartId;
    }

    public void setApplyDepartId(String applyDepartId) {
        this.applyDepartId = applyDepartId;
    }

    public String getApplyDepartName() {
        return applyDepartName;
    }

    public void setApplyDepartName(String applyDepartName) {
        this.applyDepartName = applyDepartName;
    }

    public String getOutBillNo() {
        return outBillNo;
    }

    public void setOutBillNo(String outBillNo) {
        this.outBillNo = outBillNo;
    }
}
