package com.hzya.frame.u8.delivery.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.u8.delivery.entity.DeliveryOrderEntity;
import com.hzya.frame.u8.util.U8ResultEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @Description U8发货单
 * @Author xiangerlin
 * @Date 2024/8/22 15:12
 **/
public interface IDeliveryOrderService extends IBaseService<DeliveryOrderEntity,String> {
    /**
     * 保存自定义项
     * @param entity
     */
    void saveExtradefine(DeliveryOrderEntity entity);
    /**
     *
     * @content 修改发货单数据
     * @className: Administrator
     * @author laborer
     * @date 2024-11-15 14:28
     *
     */

    JsonResultEntity editDelivery(JSONObject parm);
    /**
     *
     * @content 发货单-新增
     * @className: Administrator
     * @author laborer
     * @date 2025-02-24 14:33
     *
     */

    U8ResultEntity addDelivery(JSONObject parm);
    /**
     *
     * @content 退货单-新增
     * @className: Administrator
     * @author laborer
     * @date 2025-04-23 10:42
     *
     */

    U8ResultEntity addDeliveryT(JSONObject parm);
    /**
     *
     * @content 发货单-关闭
     * @className: Administrator
     * @author laborer
     * @date 2025-02-24 14:33
     *
     */
    U8ResultEntity Close(JSONObject parm);
    /**
     *
     * @content 发货单-部分作废
     * @className: Administrator
     * @author laborer
     * @date 2025-02-24 14:33
     *
     */
    U8ResultEntity ClosePartial(JSONObject parm);
    /**
     *
     * @content 发货单-是否出库查询
     * @className: Administrator
     * @author laborer
     * @date 2025-02-24 14:33
     *
     */
    U8ResultEntity GetOutQuantity(JSONObject parm);
}
