package com.hzya.frame.Jackyun.goodsdocin.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.Jackyun.goodsdocin.dao.IGoodsdocInDao;
import com.hzya.frame.Jackyun.goodsdocin.entity.GoodsdocInEntity;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 吉客云入库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */
@Repository(value = "GoodsdocInDaoImpl")
public class GoodsdocInDaoImpl extends MybatisGenericDao<GoodsdocInEntity,String> implements IGoodsdocInDao {
    @DS("jeckYun")
    @Override
    public List<GoodsdocInEntity> checkBill(GoodsdocInEntity checkEntity) {
        return (List<GoodsdocInEntity>) super.selectList("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDaoImpl.entity_list_base", checkEntity);
    }
    @DS("jeckYun")
    @Override
    public GoodsdocInEntity saveGoodsdocIn(GoodsdocInEntity goodsdocIn) {
        return super.save("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDaoImpl.entity_insert", goodsdocIn);
    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocInEntity> getGoodsdocInList(GoodsdocInEntity goodsdocInEntity) {
        return (List<GoodsdocInEntity>) selectList("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDaoImpl.entity_list_base_bak", goodsdocInEntity);
    }
    @DS("jeckYun")
    @Override
    public GoodsdocInEntity saveGoodsdocInBak(GoodsdocInEntity item) {
        return save("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDaoImpl.entity_insert_bak",item);
    }
    @DS("jeckYun")
    @Override
    public int deleteByRecId(String recId) {
     return delete("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDaoImpl.entity_delete", recId);
    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocInEntity> getGoodsdocInListAll(GoodsdocInEntity goodsdocInEntity) {
        return (List<GoodsdocInEntity>) selectList("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDaoImpl.entity_list_base_all", goodsdocInEntity);
    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocInEntity> getGoodsdocInListGroup(GoodsdocInEntity goodsdocInEntity) {
        return (List<GoodsdocInEntity>) selectList("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDaoImpl.entity_list_base_group", goodsdocInEntity);
    }
    @DS("jeckYun")
    @Override
    public int updateGoodsdocIn(GoodsdocInEntity goodsdocInEntity) {
        return super.update("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDaoImpl.entity_update", goodsdocInEntity);
    }
}
