package com.hzya.frame.Jackyun.goodsdocin.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.Jackyun.goodsdocin.dao.IGoodsdocInDetailDao;
import com.hzya.frame.Jackyun.goodsdocin.entity.GoodsdocInDetailEntity;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 吉客云入库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */
@Repository(value = "GoodsdocInDetailDaoImpl")
public class GoodsdocInDetailDaoImpl extends MybatisGenericDao<GoodsdocInDetailEntity,String> implements IGoodsdocInDetailDao {
    @DS("jeckYun")
    @Override
    public GoodsdocInDetailEntity saveDetails(GoodsdocInDetailEntity details) {
        return  super.save("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDetailDaoImpl.entity_insert", details);
    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocInDetailEntity> getGoodsdocInDetailList(GoodsdocInDetailEntity detailEntity) {
        return (List<GoodsdocInDetailEntity>) selectList("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDetailDaoImpl.entity_list_base", detailEntity);
    }
    @DS("jeckYun")
    @Override
    public GoodsdocInDetailEntity saveDetailsBak(GoodsdocInDetailEntity details) {
        return super.save("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDetailDaoImpl.entity_insert_bak", details);
    }
    @DS("jeckYun")
    @Override
    public int deleteByMainId(GoodsdocInDetailEntity detailEntity) {
        return super.delete("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDetailDaoImpl.entity_delete", detailEntity.getMainId());
    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocInDetailEntity> getGoodsdocInDetailListGroup(GoodsdocInDetailEntity detailEntity) {
        return (List<GoodsdocInDetailEntity>) selectList("com.hzya.frame.Jackyun.goodsdocin.dao.impl.GoodsdocInDetailDaoImpl.entity_list_base_group", detailEntity);
    }
}
