package com.hzya.frame.Jackyun.goodsdocin.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 *
 * @content 吉客云入库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */
public class GoodsdocInDetailEntity extends BaseEntity {

    /**  入库单明细ID  */
    private Integer recId;
    /** 货品ID */
    private String goodsId;
    /** 货品编号 */
    private String goodsNo;
    /** 货品名称 */
    private String goodsName;
    /** 规格ID */
    private String skuId;
    /** 规格名称 */
    private String skuName;
    /** 条码 */
    private String skuBarcode;
    /** 单位 */
    private String unitName;
    /** 单价 */
    private String cuPrice;
    /** 金额 */
    private String cuValue;
    /** 箱号 */
    private String caseNumber;
    /** 明细备注 */
    private String rowRemark;
    /** 辅助单位显示 */
    private String assistUnit;
    /** 含税金额 */
    private String estCost;
    /** 税额 */
    private String estTax;
    /** 含税单价 */
    private String estPrice;
    /** 含税单价 */
    private String estPriceNoTax;
    /** 无税金额 */
    private String estCostNoTax;
    /** 税率 */
    private String taxRate;
    /** 批次编号 */
    private String batchNo;
    /** 序列号 */
    private String serialNo;
    /** 生产日期 */
    private String productionDate;
    /** 到期日期 */
    private String expirationDate;
    /** 质保期 */
    private String shelfLife;
    /** 质保期单位 */
    private String shelfLiftUnit;
    /** 来源单据明细Id */
    private String sourceDetailId;
    /** 无税单价（原币种） */
    private String transNoTaxPrice;
    /** 无税金额（原币种） */
    private String transNoTaxAmount;
    /** 含税单价（原币种） */
    private String transHasTaxPrice;
    /**
     含税金额（原币种） */
    private String transHasTaxAmount;
    /** 税额（原币种） */
    private String transTaxAmount;
    /** 自定义字段1 */
    private String detailField1;
    /** 自定义字段2 */
    private String detailField2;
    /** 自定义字段3 */
    private String detailField3;
    /** 自定义字段4 */
    private String detailField4;
    /** 自定义字段5 */
    private String detailField5;
    /** 是否正品0-否1-是 */
    private String isCertified;
    /** 批准文号 */
    private String registrationNumber;
    /**
     批文有效期 */
    private String approvalDate;
    /** 生产单位 */
    private String productionDepart;
    /** 生产批号 */
    private String batchNumber;
    /** 数量 */
    private String quantity;
    /** 采购单号 */
    private String orderNum;
    /** 出库唯一码关联字段，此值不为空时，需要查询接口获取唯一码信息:erp.storage.goodsdocserial */
    private String serialSourceId;
    private String mainId;
    private List<GoodsdocInEntity>goodsdocInEntityList;

    public List<GoodsdocInEntity> getGoodsdocInEntityList() {
        return goodsdocInEntityList;
    }

    public void setGoodsdocInEntityList(List<GoodsdocInEntity> goodsdocInEntityList) {
        this.goodsdocInEntityList = goodsdocInEntityList;
    }

    public String getMainId() {
        return mainId;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    /** 入库单明细ID */
    public void setRecId(Integer recId) {
        this.recId = recId;
    }
    /** 入库单明细ID */
    public Integer getRecId() {
        return recId;
    }


    /** 货品ID */
    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }
    /** 货品ID */
    public String getGoodsId() {
        return goodsId;
    }


    /** 货品编号 */
    public void setGoodsNo(String goodsNo) {
        this.goodsNo = goodsNo;
    }
    /** 货品编号 */
    public String getGoodsNo() {
        return goodsNo;
    }


    /** 货品名称 */
    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }
    /** 货品名称 */
    public String getGoodsName() {
        return goodsName;
    }


    /** 规格ID */
    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }
    /** 规格ID */
    public String getSkuId() {
        return skuId;
    }


    /** 规格名称 */
    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }
    /** 规格名称 */
    public String getSkuName() {
        return skuName;
    }


    /** 条码 */
    public void setSkuBarcode(String skuBarcode) {
        this.skuBarcode = skuBarcode;
    }
    /** 条码 */
    public String getSkuBarcode() {
        return skuBarcode;
    }


    /** 单位 */
    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }
    /** 单位 */
    public String getUnitName() {
        return unitName;
    }


    /** 单价 */
    public void setCuPrice(String cuPrice) {
        this.cuPrice = cuPrice;
    }
    /** 单价 */
    public String getCuPrice() {
        return cuPrice;
    }


    /** 金额 */
    public void setCuValue(String cuValue) {
        this.cuValue = cuValue;
    }
    /** 金额 */
    public String getCuValue() {
        return cuValue;
    }


    /** 箱号 */
    public void setCaseNumber(String caseNumber) {
        this.caseNumber = caseNumber;
    }
    /** 箱号 */
    public String getCaseNumber() {
        return caseNumber;
    }


    /** 明细备注 */
    public void setRowRemark(String rowRemark) {
        this.rowRemark = rowRemark;
    }
    /** 明细备注 */
    public String getRowRemark() {
        return rowRemark;
    }


    /** 辅助单位显示 */
    public void setAssistUnit(String assistUnit) {
        this.assistUnit = assistUnit;
    }
    /** 辅助单位显示 */
    public String getAssistUnit() {
        return assistUnit;
    }


    /** 含税金额 */
    public void setEstCost(String estCost) {
        this.estCost = estCost;
    }
    /** 含税金额 */
    public String getEstCost() {
        return estCost;
    }


    /** 税额 */
    public void setEstTax(String estTax) {
        this.estTax = estTax;
    }
    /** 税额 */
    public String getEstTax() {
        return estTax;
    }


    /** 含税单价 */
    public void setEstPrice(String estPrice) {
        this.estPrice = estPrice;
    }
    /** 含税单价 */
    public String getEstPrice() {
        return estPrice;
    }


    /** 含税单价 */
    public void setEstPriceNoTax(String estPriceNoTax) {
        this.estPriceNoTax = estPriceNoTax;
    }
    /** 含税单价 */
    public String getEstPriceNoTax() {
        return estPriceNoTax;
    }


    /** 无税金额 */
    public void setEstCostNoTax(String estCostNoTax) {
        this.estCostNoTax = estCostNoTax;
    }
    /** 无税金额 */
    public String getEstCostNoTax() {
        return estCostNoTax;
    }


    /** 税率 */
    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }
    /** 税率 */
    public String getTaxRate() {
        return taxRate;
    }


    /** 批次编号 */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }
    /** 批次编号 */
    public String getBatchNo() {
        return batchNo;
    }


    /** 序列号 */
    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }
    /** 序列号 */
    public String getSerialNo() {
        return serialNo;
    }


    /** 生产日期 */
    public void setProductionDate(String productionDate) {
        this.productionDate = productionDate;
    }
    /** 生产日期 */
    public String getProductionDate() {
        return productionDate;
    }


    /** 到期日期 */
    public void setExpirationDate(String expirationDate) {
        this.expirationDate = expirationDate;
    }
    /** 到期日期 */
    public String getExpirationDate() {
        return expirationDate;
    }


    /** 质保期 */
    public void setShelfLife(String shelfLife) {
        this.shelfLife = shelfLife;
    }
    /** 质保期 */
    public String getShelfLife() {
        return shelfLife;
    }


    /** 质保期单位 */
    public void setShelfLiftUnit(String shelfLiftUnit) {
        this.shelfLiftUnit = shelfLiftUnit;
    }
    /** 质保期单位 */
    public String getShelfLiftUnit() {
        return shelfLiftUnit;
    }


    /** 来源单据明细Id */
    public void setSourceDetailId(String sourceDetailId) {
        this.sourceDetailId = sourceDetailId;
    }
    /** 来源单据明细Id */
    public String getSourceDetailId() {
        return sourceDetailId;
    }


    /** 无税单价（原币种） */
    public void setTransNoTaxPrice(String transNoTaxPrice) {
        this.transNoTaxPrice = transNoTaxPrice;
    }
    /** 无税单价（原币种） */
    public String getTransNoTaxPrice() {
        return transNoTaxPrice;
    }


    /** 无税金额（原币种） */
    public void setTransNoTaxAmount(String transNoTaxAmount) {
        this.transNoTaxAmount = transNoTaxAmount;
    }
    /** 无税金额（原币种） */
    public String getTransNoTaxAmount() {
        return transNoTaxAmount;
    }


    /** 含税单价（原币种） */
    public void setTransHasTaxPrice(String transHasTaxPrice) {
        this.transHasTaxPrice = transHasTaxPrice;
    }
    /** 含税单价（原币种） */
    public String getTransHasTaxPrice() {
        return transHasTaxPrice;
    }


    /**
     含税金额（原币种） */
    public void setTransHasTaxAmount(String transHasTaxAmount) {
        this.transHasTaxAmount = transHasTaxAmount;
    }
    /**
     含税金额（原币种） */
    public String getTransHasTaxAmount() {
        return transHasTaxAmount;
    }


    /** 税额（原币种） */
    public void setTransTaxAmount(String transTaxAmount) {
        this.transTaxAmount = transTaxAmount;
    }
    /** 税额（原币种） */
    public String getTransTaxAmount() {
        return transTaxAmount;
    }


    /** 自定义字段1 */
    public void setDetailField1(String detailField1) {
        this.detailField1 = detailField1;
    }
    /** 自定义字段1 */
    public String getDetailField1() {
        return detailField1;
    }


    /** 自定义字段2 */
    public void setDetailField2(String detailField2) {
        this.detailField2 = detailField2;
    }
    /** 自定义字段2 */
    public String getDetailField2() {
        return detailField2;
    }


    /** 自定义字段3 */
    public void setDetailField3(String detailField3) {
        this.detailField3 = detailField3;
    }
    /** 自定义字段3 */
    public String getDetailField3() {
        return detailField3;
    }


    /** 自定义字段4 */
    public void setDetailField4(String detailField4) {
        this.detailField4 = detailField4;
    }
    /** 自定义字段4 */
    public String getDetailField4() {
        return detailField4;
    }


    /** 自定义字段5 */
    public void setDetailField5(String detailField5) {
        this.detailField5 = detailField5;
    }
    /** 自定义字段5 */
    public String getDetailField5() {
        return detailField5;
    }


    /** 是否正品0-否1-是 */
    public void setIsCertified(String isCertified) {
        this.isCertified = isCertified;
    }
    /** 是否正品0-否1-是 */
    public String getIsCertified() {
        return isCertified;
    }


    /** 批准文号 */
    public void setRegistrationNumber(String registrationNumber) {
        this.registrationNumber = registrationNumber;
    }
    /** 批准文号 */
    public String getRegistrationNumber() {
        return registrationNumber;
    }


    /**
     批文有效期 */
    public void setApprovalDate(String approvalDate) {
        this.approvalDate = approvalDate;
    }
    /**
     批文有效期 */
    public String getApprovalDate() {
        return approvalDate;
    }


    /** 生产单位 */
    public void setProductionDepart(String productionDepart) {
        this.productionDepart = productionDepart;
    }
    /** 生产单位 */
    public String getProductionDepart() {
        return productionDepart;
    }


    /** 生产批号 */
    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }
    /** 生产批号 */
    public String getBatchNumber() {
        return batchNumber;
    }


    /** 数量 */
    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }
    /** 数量 */
    public String getQuantity() {
        return quantity;
    }


    /** 采购单号 */
    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }
    /** 采购单号 */
    public String getOrderNum() {
        return orderNum;
    }


    /** 出库唯一码关联字段，此值不为空时，需要查询接口获取唯一码信息:erp.storage.goodsdocserial */
    public void setSerialSourceId(String serialSourceId) {
        this.serialSourceId = serialSourceId;
    }
    /** 出库唯一码关联字段，此值不为空时，需要查询接口获取唯一码信息:erp.storage.goodsdocserial */
    public String getSerialSourceId() {
        return serialSourceId;
    }
}
