package com.hzya.frame.Jackyun.goodsdocout.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.Jackyun.goodsdocout.dao.IGoodsdocOutDao;
import com.hzya.frame.Jackyun.goodsdocout.entity.GoodsdocOutEntity;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 吉客云出库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */
@Repository(value = "GoodsdocOutDaoImpl")
public class GoodsdocOutDaoImpl extends MybatisGenericDao<GoodsdocOutEntity,String> implements IGoodsdocOutDao {
@DS("jeckYun")
    @Override
    public List<GoodsdocOutEntity> checkBill(GoodsdocOutEntity checkEntity) {
        return (List<GoodsdocOutEntity>) super.selectList("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDaoImpl.entity_list_base",checkEntity);
    }
    @DS("jeckYun")
    @Override
    public GoodsdocOutEntity saveGoodsdocOut(GoodsdocOutEntity goodsdocOut) {
        return super.save("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDaoImpl.entity_insert", goodsdocOut);

    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocOutEntity> getGoodsdocOutList(GoodsdocOutEntity goodsdocOutEntity) {
        return (List<GoodsdocOutEntity>) super.selectList("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDaoImpl.entity_list_base_bak",goodsdocOutEntity);
    }
    @DS("jeckYun")
    @Override
    public GoodsdocOutEntity saveGoodsdocOutBak(GoodsdocOutEntity item) {
        return super.save("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDaoImpl.entity_insert_bak", item);
    }
    @DS("jeckYun")
    @Override
    public int deleteByRecId(String recId) {
        return super.delete("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDaoImpl.entity_delete", recId);
    }
}
