package com.hzya.frame.Jackyun.goodsdocout.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.Jackyun.goodsdocout.dao.IGoodsdocOutDetailDao;
import com.hzya.frame.Jackyun.goodsdocout.entity.GoodsdocOutDetailEntity;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 吉客云出库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */
@Repository(value = "GoodsdocOutDetailDaoImpl")
public class GoodsdocOutDetailDaoImpl extends MybatisGenericDao<GoodsdocOutDetailEntity,String> implements IGoodsdocOutDetailDao {
    @DS("jeckYun")
    @Override
    public GoodsdocOutDetailEntity saveDetails(GoodsdocOutDetailEntity details) {
        return super.save("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDetailDaoImpl.entity_insert",details);
    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocOutDetailEntity> getGoodsdocOutDetailList(GoodsdocOutDetailEntity detailEntity) {
        return (List<GoodsdocOutDetailEntity>) super.selectList("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDetailDaoImpl.entity_list_base",detailEntity);
    }
    @DS("jeckYun")
    @Override
    public GoodsdocOutDetailEntity saveDetailsBak(GoodsdocOutDetailEntity details) {
        return super.save("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDetailDaoImpl.entity_insert_bak",details);
    }
    @DS("jeckYun")
    @Override
    public int deleteByMainId(GoodsdocOutDetailEntity details) {
         return super.delete("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutDetailDaoImpl.entity_delete",details.getMainId());
    }
}
