package com.hzya.frame.Jackyun.goodsdocout.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.Jackyun.goodsdocin.entity.GoodsdocInLogisticEntity;
import com.hzya.frame.Jackyun.goodsdocout.dao.IGoodsdocOutLogisticDao;
import com.hzya.frame.Jackyun.goodsdocout.entity.GoodsdocOutLogisticEntity;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 吉客云出库单
 * @className: Administrator
 * @author laborer
 * @date 2025-03-27 15:33
 *
 */
@Repository(value = "GoodsdocOutLogisticDaoImpl")
public class GoodsdocOutLogisticDaoImpl extends MybatisGenericDao<GoodsdocOutLogisticEntity,String> implements IGoodsdocOutLogisticDao {
    @DS("jeckYun")
    @Override
    public GoodsdocOutLogisticEntity saveLogis(GoodsdocOutLogisticEntity logis) {
        return super.save("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutLogisticDaoImpl.entity_insert",logis);

    }
    @DS("jeckYun")
    @Override
    public List<GoodsdocOutLogisticEntity> getGoodsdocOutLogisticList(GoodsdocOutLogisticEntity logis) {
        return (List<GoodsdocOutLogisticEntity>) super.selectList("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutLogisticDaoImpl.entity_list_base",logis);
    }
    @DS("jeckYun")
    @Override
    public GoodsdocOutLogisticEntity saveLogisBak(GoodsdocOutLogisticEntity logis) {
         return super.save("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutLogisticDaoImpl.entity_insert_bak",logis);
    }
    @DS("jeckYun")
    @Override
    public int deleteByMainId(GoodsdocOutLogisticEntity logis) {
        return super.delete("com.hzya.frame.Jackyun.goodsdocout.dao.impl.GoodsdocOutLogisticDaoImpl.entity_delete",logis.getMainId());
    }
}
