package com.hzya.frame.u8.saleout.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.u8.saleout.entity.SaleOutEntity;
import com.hzya.frame.u8.util.U8ResultEntity;

/**
 *
 * @content 销售出库单
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 9:27
 *
 */
public interface ISaleOutService extends IBaseService<SaleOutEntity,String> {
/**
 *
 * @content 获取U8销售出库单到CRM
 * @className: Administrator
 * @author laborer
 * @date 2024-10-18 10:15
 *
 */

    void getU8SaleOutToCrm(JSONObject requestJson);

    /**
     *
     * @content 销售出库-新增
     * @className: Administrator
     * @author laborer
     * @date 2025-02-24 14:33
     *
     */

    U8ResultEntity addSaleOut(JSONObject parm);
    /**
     *
     * @content 红字销售出库-新增
     * @className: Administrator
     * @author laborer
     * @date 2025-02-24 14:33
     *
     */
    U8ResultEntity addSaleOutT(JSONObject parm);
    /**
     *
     * @content 销售出库-新增
     * @className: Administrator
     * @author laborer
     * @date 2025-02-24 14:33
     *
     */
    U8ResultEntity deleteSaleOut(JSONObject parm);
    U8ResultEntity Add_DLPartialClose(JSONObject parm);
}
